# LinkAnnotation
Provides link to linkAnnotation.

*Inherited from [\Aspose\PDF\Model\LinkElement](LinkElement.md)*
## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**action_type** | [**\Aspose\PDF\Model\LinkActionType**](LinkActionType.md) |  | 
**action** | **string** |  | 
**highlighting** | [**\Aspose\PDF\Model\LinkHighlightingMode**](LinkHighlightingMode.md) |  | 
**color** | [**\Aspose\PDF\Model\Color**](Color.md) |  | [optional]
**rect** | [**\Aspose\PDF\Model\Rectangle**](Rectangle.md) |  | 
**id** | **string** |  | [optional]
**links** | [**\Aspose\PDF\Model\Link[]**](Link.md) | Link to the document.<br />*Inherited from [\Aspose\PDF\Model\LinkElement](LinkElement.md)* | [optional]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md) [[View Source]](../src/Aspose/PDF/Model/LinkAnnotation.php)

